Package org.gradle.tooling.model

## Interface DomainObjectSet<T>

- Type Parameters:
    `T` - The type of objects in this collection.
  All Superinterfaces:
    `java.util.Collection<T>`, `java.lang.Iterable<T>`, `java.util.Set<T>`

      public interface DomainObjectSet<T>
      extends java.util.Set<T>

  A set of domain objects of type T.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<T>` | `getAll()` | Returns the elements of this set in the set's iteration order.
    `T` | `getAt​(int index)` | Returns the element at the given index according to the set's iteration order.

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### getAll

          java.util.List<T> getAll()

      Returns the elements of this set in the set's iteration order.
      Returns:
        The elements of this set in the set's iteration order.

    - #### getAt

          T getAt​(int index)
           throws java.lang.IndexOutOfBoundsException

      Returns the element at the given index according to the set's iteration order.
      Parameters:
        `index` - The index of the element to get.
      Returns:
        The element at the given index according to the set's iteration order.
      Throws:
        `java.lang.IndexOutOfBoundsException`